Open Chinese Convert 1.0.3 A project for conversion between Traditional and Simplified Chinese

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
opencc::Segments Class Reference
OpenCC C++ Comprehensive API

Segmented text. More...

`#include <Segments.hpp>`

## Classes
class | iterator

## Public Member Functions
| Segments (std::initializer_list< const char * > initList)
| Segments (std::initializer_list< string > initList)
void | AddSegment (const char *unmanagedString)
void | AddSegment (const string &str)
const char * | At (size_t cursor) const
size_t | Length () const
iterator | begin () const
iterator | end () const
string | ToString () const

## Detailed Description

Segmented text.

The documentation for this class was generated from the following file:

- Segments.hpp